<?php
namespace App\Test\TestCase\Model\Table;

use App\Model\Table\UnitsUsersTable;
use Cake\ORM\TableRegistry;
use Cake\TestSuite\TestCase;

/**
 * App\Model\Table\UnitsUsersTable Test Case
 */
class UnitsUsersTableTest extends TestCase
{

    /**
     * Test subject
     *
     * @var \App\Model\Table\UnitsUsersTable
     */
    public $UnitsUsers;

    /**
     * Fixtures
     *
     * @var array
     */
    public $fixtures = [
        'app.units_users',
        'app.users',
        'app.roles',
        'app.log',
        'app.units',
        'app.groups',
        'app.health_insurance_plans',
        'app.hospitalizations',
        'app.origins',
        'app.signs',
        'app.goals',
        'app.indicators',
        'app.sectors',
        'app.professional_sectors',
        'app.rooms',
        'app.goals_sectors',
        'app.goals_units'
    ];

    /**
     * setUp method
     *
     * @return void
     */
    public function setUp()
    {
        parent::setUp();
        $config = TableRegistry::exists('UnitsUsers') ? [] : ['className' => 'App\Model\Table\UnitsUsersTable'];
        $this->UnitsUsers = TableRegistry::get('UnitsUsers', $config);
    }

    /**
     * tearDown method
     *
     * @return void
     */
    public function tearDown()
    {
        unset($this->UnitsUsers);

        parent::tearDown();
    }

    /**
     * Test initialize method
     *
     * @return void
     */
    public function testInitialize()
    {
        $this->markTestIncomplete('Not implemented yet.');
    }

    /**
     * Test validationDefault method
     *
     * @return void
     */
    public function testValidationDefault()
    {
        $this->markTestIncomplete('Not implemented yet.');
    }

    /**
     * Test buildRules method
     *
     * @return void
     */
    public function testBuildRules()
    {
        $this->markTestIncomplete('Not implemented yet.');
    }
}
